Ask Your Question
2

Netflix on Firefox 57 getting an error message

asked 2017-12-23 16:49:01 -0500

jnordwick gravatar image

On a fresh install of Fedora 27 running Firefox 57, when I try to play something on netflix.com . it gives and error message saying "Netflix Video Player Unavailable" and it gives error code F7355-1204.

Widevine appears to be enabled. Youtube works fine. Installing Chrome, and it works there.

How do I get this to work? This is the same issue that always prevents me from using Firefox more. I find it too difficult to get it to play nicely with video, and I don't want to use two browsers.

edit retag flag offensive close merge delete

Comments

Could you try with another web browser ?

fedofix gravatar imagefedofix ( 2018-07-27 16:07:24 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
2

answered 2017-12-24 09:07:35 -0500

scottro gravatar image

When you first went to Netflix, was there a bar towards the top saying allow DRM or something similar? Then it usually says installing DRM (I've forgotten the exact message), try again later, and if you close and open Firefox it usually works.

You say widevine appears to be enabled, so you probably did this, but it never hurts to check. I can't duplicate the problem.

edit flag offensive delete link more

Comments

Yes it did, but the message never went away. I closed and restarted Firefox multiple times, but today after a reboot it works. Not sure why. Thanks.

jnordwick gravatar imagejnordwick ( 2017-12-24 11:17:05 -0500 )edit

Worked for me after installing vlc. (a codec missing, perhaps?).

murpholinox peligro gravatar imagemurpholinox peligro ( 2018-01-13 21:56:47 -0500 )edit
1

answered 2018-07-27 14:05:28 -0500

mMerlin gravatar image

installing vlc-extras (to pull in more codecs) plus clearing the firefox storage for netflix.com got it to work for me. I confirmed that was the fix by uninstalling the packages, showed that the error was back, then installing again to fix. Since that installs 96 packages on fedora 27 (with what was already installed), I do not know exactly what firefox+netflix needed. Not really interested in doing the full search to see what the minimal requirements were. I do see x265 and ffmpeg in the list though.

4.17.7-100.fc27.x86_64 #1 SMP Tue Jul 17 16:29:47 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
Mozilla Firefox 61.0.1
vlc-extras                    x86_64     3.0.3-2.fc27                         rpmfusion-free-updates
edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-12-23 16:49:01 -0500

Seen: 2,423 times

Last updated: Jul 27 '18